GetJobPosting
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetJobPosting \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"jobPostingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetJobPosting"
payload = { "jobPostingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({jobPostingId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetJobPosting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"filterValues": [
{
"valueId": "<string>",
"filterId": "<string>",
"filterSlot": "<string>",
"filterName": "<string>",
"stringValue": "<string>",
"totalJobPostings": "<string>"
}
],
"languageIso6393": "<string>",
"enabledLanguageId": "<string>",
"shortId": "<string>",
"state": "JOB_POSTING_STATE_UNSPECIFIED",
"pipelineId": "<string>",
"pinned": true,
"crewRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"state": "JOB_POSTING_STATE_UNSPECIFIED",
"position": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"nbPositions": "<string>"
}
}
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}rpc.v1.OrganizationService
GetJobPosting
Get one job posting
POST
/
rpc
/
rpc.v1.OrganizationService
/
GetJobPosting
GetJobPosting
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
- job_posting_id
- job_posting_short_id
- job_posting_id
- job_posting_short_id
request for getting a job posting
id of the job posting to be updated
Response
Success
response from getting a job posting
id of the job post
id of the organization
tile of the job post
description of the job post
summary of the job post
time at which the job post was created
Example:
"2023-01-15T01:30:15.01Z"
values for our filters.
Show child attributes
Show child attributes
language code following iso639-3 standard
id of the enabled language the job post is written in
short id of the job posting
state of the job posting
Available options:
JOB_POSTING_STATE_UNSPECIFIED, JOB_POSTING_STATE_OPEN, JOB_POSTING_STATE_CLOSED id of the organization
show whether the job posting has been pinned
crew request item
Show child attributes
Show child attributes